using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MisDataName
{
    class FunctionForm_HashiTable
    {
        public static Hashtable OpName_Hash = new Hashtable();
        public static object  OpName_Hash_Read(string Key)
        {
            if (OpName_Hash.ContainsKey(Key))
            {
                return OpName_Hash[Key];

            }
            else
            {
                return null;
            }

        }

        public static void OpName_Hash_Write(string Key, object  obj)
        {

            if (OpName_Hash.ContainsKey(Key))
            {

                OpName_Hash[Key] = obj;
            }
            else
            {
                OpName_Hash.Add(Key, obj);
            }

        }


        public static Hashtable SignalName = new Hashtable();
        public static string SignalName_Hash_Read(string Key)
        {
            if (SignalName.ContainsKey(Key))
            {
                return SignalName[Key].ToString ();

            }
            else
            {
                return null;
            }

        }

        public static void SignalName_Hash_Write(string Key, string  str)
        {

            if (SignalName.ContainsKey(Key))
            {

                SignalName[Key] = str;
            }
            else
            {
                SignalName.Add(Key, str);
            }

        }


        public static Hashtable SignalConfig = new Hashtable();
        public static object  SignalConfig_Hash_Read(string Key)
        {
            if (SignalConfig.ContainsKey(Key))
            {
                return SignalConfig[Key];

            }
            else
            {
                return null;
            }

        }

        public static void SignalConfig_Write(string Key, object  str)
        {

            if (SignalConfig.ContainsKey(Key))
            {

                SignalConfig[Key] = str;
            }
            else
            {
                SignalConfig.Add(Key, str);
            }

        }
    }
}
